pub fn now() -> tz::DateTime {
	tz::DateTime::from_timespec(timestamp() as i64, 0, tz::TimeZoneRef::utc()).unwrap()
}

#[cfg(feature = "simulator")]
pub fn timestamp() -> u64 {
	std::time::SystemTime::now()
		.duration_since(std::time::UNIX_EPOCH)
		.unwrap()
		.as_secs()
}

// TODO
#[cfg(not(feature = "simulator"))]
pub fn timestamp() -> u64 {
	1692450980
}

#[cfg(feature = "simulator")]
pub fn millis() -> u64 {
	std::time::SystemTime::now()
		.duration_since(std::time::UNIX_EPOCH)
		.unwrap()
		.as_millis() as u64
}

// TODO
#[cfg(not(feature = "simulator"))]
pub fn millis() -> u64 {
	1692450980000
}
